package main

import (
	"context"
	"os/signal"
	"syscall"
)

func main() {
	g, _ := signal.NotifyContext(context.Background(), syscall.SIGINT, syscall.SIGTERM)
	cfg := newSettings()

	a := newApp(g, cfg)

	go a.Serve(g)

	a.Wait()
}
